Subject: bug#46649: 28.0.50; problem with gui emacs minibuffer when starting emacsclient in tty

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 22 Feb 2021 16:11:39 +0100

[email-masked] writes:

> - start a gui emacs
> - in a separate tty, start emacsclient -nw
> - go back to gui emacs, do m-x, or anything that affects the minibuffer
> the minibuffer is empty, and messages buffer gets an error message:
>
> face-attribute: Variable binding depth exceeds max-specpdl-size
>
> emacs is now close to useless, since any operation using the
> minibuffer is broken.

I'm unable to reproduce this, but perhaps there's something missing in
the recipe?

I tried:

emacs -Q -f server-start &
emacsclient -nw

Then I chose the GUI Emacs and said `M-x'.  Nothing in particular
happened -- it displayed `M-x' as normal.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no